> For the complete documentation index, see [llms.txt](https://clients.medianova.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://clients.medianova.com/api-documentation/object-storage-stook.md).

# Object Storage / Stook

- [Buckets](https://clients.medianova.com/api-documentation/object-storage-stook/buckets.md): Manage your Stook Buckets — create, list, update, and delete them.
- [Lifecycle Rules](https://clients.medianova.com/api-documentation/object-storage-stook/buckets/lifecycle-rules.md): Configure automatic object expiration and cleanup policies for your Stook Buckets.
- [Credentials](https://clients.medianova.com/api-documentation/object-storage-stook/credentials.md): Manage API credentials that grant access to your Stook Buckets and subfolders.
- [FTP Accounts](https://clients.medianova.com/api-documentation/object-storage-stook/ftp-accounts.md): Manage FTP-based access to your Stook Buckets.
- [Settings](https://clients.medianova.com/api-documentation/object-storage-stook/settings.md): Manage organization-wide Stook configuration — such as IP restrictions, rate limits, and CORS settings.
- [Paths](https://clients.medianova.com/api-documentation/object-storage-stook/paths.md): Manage legacy storage paths using Stook API v1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://clients.medianova.com/api-documentation/object-storage-stook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
